API ReferenceapimessagingPOST /v1/messaging/templates/{id}/versions

POST /v1/messaging/templates/\{id\}/versions

Service: messaging · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Request body

{
  "type": "object",
  "properties": {
    "subject": {
      "type": "string"
    },
    "body": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "body"
  ]
}

Responses

201 Created

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "template_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "version_number": {
      "type": "number"
    },
    "subject": {
      "type": [
        "string",
        "null"
      ]
    },
    "body": {
      "type": "string"
    },
    "variables": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "created_by": {
      "type": "string"
    },
    "created_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "template_id",
    "brand_id",
    "version_number",
    "subject",
    "body",
    "variables",
    "created_by",
    "created_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

500 Server error

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "object",
      "additionalProperties": {}
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://messaging.platform.loop.health/v1/messaging/templates/{id}/versions \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'